# Set Service Limit Tariff
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/set-service-limit-tariff/index.md

## Overview {#overview}

The use case describes the process to redefine the minimum and maximum account contract balance using a dedicated endpoint. Refer to [Guides](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/card-management-system/index.md) for more information about Tariffs.

## Sequence diagram {#sequence-diagram}

Diagram set-service-limit-tariff

### Explanation {#explanation}

1. The server sends a `POST` request to the `/contracts/{contract_id}/service-limit-tariffs` endpoint, passing the required `tariffCode` field with the value preconfigured in the CMS during the onboarding process in the request body. In addition, the server should send `minTransactionAmount` and `maxTransactionAmount` in the request body.
2. The API returns the HTTP status `200`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/set-service-limit-tariff/index.md) for information on how to execute the use case in the Sandbox environment.

### Endpoint {#endpoint}


API Reference: `POST /contracts/{contract_id}/service-limit-tariffs`

